Package com.massivecraft.factions.scoreboards.sidebar

## Class FInfoSidebar

- java.lang.Object
- - com.massivecraft.factions.scoreboards.FSidebarProvider
  - - com.massivecraft.factions.scoreboards.sidebar.FInfoSidebar

    public class FInfoSidebar
    extends FSidebarProvider

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FInfoSidebar​(Faction faction)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.util.List<java.lang.String>` | `getLines​(FPlayer fplayer)` |
`java.lang.String` | `getTitle​(FPlayer fplayer)` |

### Methods inherited from class com.massivecraft.factions.scoreboards.FSidebarProvider

`replaceTags, replaceTags`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FInfoSidebar

    public FInfoSidebar​(Faction faction)

### Method Detail

#### getTitle

    public java.lang.String getTitle​(FPlayer fplayer)

Specified by:
  `getTitle` in class `FSidebarProvider`

#### getLines

    public java.util.List<java.lang.String> getLines​(FPlayer fplayer)

Specified by:
  `getLines` in class `FSidebarProvider`